---
title: SyncEvent.lastChance
slug: Web/API/SyncEvent/lastChance
tags:
  - API
  - Background Sync
  - Experimental
  - Property
  - Reference
  - ServiceWorker
  - SyncEvent
  - lastChance
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p>The <strong><code>SyncEvent.lastChance</code></strong> read-only property of the {{domxref("SyncEvent")}} interface returns <code>true</code> if the user agent will not make further synchronization attempts after the current attempt. This is the value passed in the <code>lastChance</code> parameter of the {{domxref("SyncEvent.SyncEvent","SyncEvent()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>lastChance</em> = SyncEvent.lastChance</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}} that indicates whether the user agent will not make further synchronization attempts after the current attempt.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
  </tr>
  <tr>
   <td><a href="https://wicg.github.io/background-sync/spec/#sync-event">Web Background Synchronization</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SyncEvent.lastChance")}}</p>
